# **Direct File QA / Testing Wiki**

# **Recipe Library**

## **Recipes that apply across tax scope areas**

### **How to create a dependent (qualifying child)**

#### **Profile 1.1:**

##### In Family and household \> person

DOB: June 15, 2004

Your sibling

Full-time student

No permanent disability

Not physically or mentally unable to care for themselves

Lived with you all year

Lived with you all year in the U.S.

You paid more than half the cost of keeping up the home

SSN

No work restrictions

Did not pay for more than half of own living expenses

Married

Filing a joint return

Neither of them are required to file

Only filing to claim a refund of taxes paid

U.S. citizen

No one else qualifies to claim them

#### **Profile 1.2: a qualifying child dependent who also meets requirements for CTC**

##### In Family and household \> person

DOB: June 15, 2008 (for CTC they must be under 17 at the end of the tax year)

Your biological child

Not unable to care for themselves because of physical or mental disability

Lived with you all year

No other biological or adoptive parent

Lived with you all year in the U.S.

You paid more than half the cost of keeping up the home

SSN

No work restriction listed on their Social Security card

Did not pay for more than half of own living expenses

Not married

U.S. citizen

No one else qualifies to claim them

Yes, claim them as a dependent

SSN: 232-00-3232

IRS has not issued them an IP PIN

### **How to create a dependent (qualifying relative)**

#### **Profile 1.1:**

##### In Family and household \> person

DOB: April 15, 2010

Not related

Not physically or mentally unable to care for themselves

Lived with you all year

SSN

No work restrictions

You paid more than half of their living expenses

Their gross income was less than $5,050

Not married

U.S. citizen

No one else qualifies to claim

Not required to file a tax return

Not filing a tax return

### **How to create a dependent taxpayer (non MFJ)**

#### **Method 1**

##### In About you:

Could anyone claim you as a dependent on their federal tax return?

Answer **Yes.**

Is that person required to file a federal tax return?

Answer **Yes.**

Is that person claiming you as a dependent on their 2024 federal tax return?

Answer **Yes** or **No** (doesn't matter).

#### **Method 2**

##### In About you:

Could anyone claim you as a dependent on their federal tax return?

Answer **Yes.**

Is that person required to file a federal tax return?

Answer **No.**

Is that person filing a 2024 federal tax return?

Answer **Yes.**

Is that person only filing a 2024 federal tax return to get a refund of money they paid toward taxes?

Answer **No.**

Is that person claiming you as a dependent?

Answer **Yes** or **No** \- does not matter for this situation.

### **How to create dependent taxpayers (MFJ)**

#### **Method 1**

##### In About you:

Could anyone claim you as a dependent on their \<TY\> federal tax return?

Answer **Yes**.

Is that person required to file a \<TY\> federal tax return?

Answer **Yes**.

Is that person claiming you as a dependent?

Answer Yes or No \- does not matter for this situation.

### **In Spouse:**

Choose Married Filing Jointly filing status

Could anyone claim \<MFJSpouse\> as a dependent on their \<TY\> federal tax return?

Answer **Yes**.

Are you or \<MFJSpouse\> required to file a \<TY\> federal tax return?

Answer **No**.

Do you and \<MFJSpouse\> want the opportunity to claim tax benefits on this federal tax return?

Answer **No.**

Is that person claiming \<MFJSpouse\> as a dependent?

Answer Yes or No \- does not matter for this situation.

#### **Method 2**

##### In About you:

Could anyone claim you as a dependent on their \<TY\> federal tax return?

Answer **Yes**.

Is that person required to file a federal tax return?

Answer **No.**

Is that person filing a 2024 federal tax return?

Answer **Yes.**

Is that person only filing a 2024 federal tax return to get a refund of money they paid toward taxes?

Answer **No.**

Is that person claiming you as a dependent?

Answer Yes or No \- does not matter for this situation.

### **In Spouse:**

Choose Married Filing Jointly filing status

Could anyone claim \<MFJSpouse\> as a dependent on their \<TY\> federal tax return?

Answer **Yes**.

Are you or \<MFJSpouse\> required to file a \<TY\> federal tax return?

Answer **No**.

Do you and \<MFJSpouse\> want the opportunity to claim tax benefits on this federal tax return?

Answer **No.**

Is that person claiming \<MFJSpouse\> as a dependent?

Answer Yes or No \- does not matter for this situation.

### **How to create a taxpayer that qualifies for the special benefit split (custodial parent)**

#### **Profile 1.1**

##### In Family and household \> person

DOB: February 18, 2019

Your biological child

Not unable to care for self

Lived with you all year

Has another biological or adoptive parent

I signed a form stating I wouldn't claim them

Still in custody on July 2 TY

Lived with one or both of us for more than 6 months

Spent more nights with me

Divorced

One or both of us paid for more than half of support

Lived with me in the United States for 12 months

I paid more than half the cost of keeping up the home

SSN

No work restrictions

They did not pay more than half of their own living expenses

Not married

U.S. citizen

### **How to create a taxpayer that qualifies for the special benefit split (noncustodial parent)**

#### **Profile 1.1**

##### In Family and household \> person

DOB: February 18, 2019

Your biological child

Not unable to care for self

Lived with you all year

Has another biological or adoptive parent

The other biological or adoptive parent signed a form or declaration stating they wouldn’t claim them

Still in custody on July 2 TY

Lived with one or both of us for more than 6 months

Spent fewer nights with me

Divorced

One or both of us paid for more than half of support

### **How to create a taxpayer who is the "other eligible taxpayer" (non parent) in a special benefit split scenario who may qualify to use the child as their qualifying person for certain tax benefits**

#### **Profile 1.1**

##### In Family and household \> person

DOB: June 8, 2022

Your foster child

Not unable to care for self

Lived with you all year

In the legal custody of their biological or adoptive parents on July 2, \<2024\>

Biological or adoptive parents are still alive

One of the parents signed a form stating they wouldn't claim the child

The parents meet the requirements of the rule for children of divorced or separated parents (or parents who live apart)

The child's custodial parent is not using the child to qualify for tax benefits listed on screen

Your AGI is higher than the child's custodial parent’s AGI

Lived with you in the U.S. for 12 months

You paid more than half the cost of keeping up the home

Has tax ID \- SSN

No work restrictions

Did not pay for more than half of own living expenses

Not married on December 31

U.S. citizen

At this point, you should be told that the child didn’t meet the requirements to be your dependent, but that you may still be able to use them as your qualifying person for other tax benefits.

## **Filing statuses**

### **How to create a qualifying person for HOH filing status**

#### **Method 1: HOH qualifying person who is your dependent**

Start with a *Taxpayer who is otherwise eligible for HOH*

##### In Family and household \> person

Date of birth: 1/1/2020

Your biological child

Not unable to care for self

Lived with you all year

Does not have another biological or adoptive parent

Lived with you in the United States for 12 months

You paid more than half the cost of keeping up the home you lived in with them

SSN

No work restrictions

Did not pay for more than half of own living expenses

Not married

U.S. citizen

No one else qualifies to claim them as their qualifying child

Claim them as dependent

SSN: 123-00-1234

No IP PIN

#### **Method 2: HOH qualifying person who is NOT a dependent**

Start with a *Taxpayer who is otherwise eligible for HOH*

##### In Family and household \> person

Date of birth: 1/1/2003

Your biological child

Full time student

No permanent disability that prevented them from engaging in substantial employment

Not unable to care for self

Lived with you more than 6 months

Lived with you in the U.S. more than 6 months, less than 7

You paid more than half the cost of keeping up the home you lived in with them

ITIN

Did not pay for more than half of own living expenses

Not married

Not a U.S. citizen

Not a U.S. resident

Not a National

Not a resident of Canada or Mexico

No one else qualifies to claim them as their qualifying child

(DF will prompt you to return and fill in this person's TIN, even though they are not your dependent) ITIN: 999-00-1234

### **How to create a taxpayer who is using Head of Household filing status and "considered unmarried"**

#### **Method 1**

##### In Spouse:

Married

Didn't live together all year

Lived together for half the year or less

Lived apart for the last 6 months of the year

Spouse is U.S. citizen

Use Head of Household filing status

Spouse is filing a return

Spouse is not itemizing deductions

##### In Family and household \> person:

Add an HOH qualifying person:

* See “How to create a qualifying person for HOH filing status”

* See CDCC qualifying person: Profile 1.1 who is also an HOH qualifying person

#### **Method 2**

##### In Spouse:

Married

Didn't live together all year

Didn't live together at all in 2024

Spouse is U.S. citizen

Use Head of Household filing status

Spouse is filing a return

Spouse is not itemizing deductions

##### In Family and household \> person:

Add an HOH qualifying person:

* See “How to create a qualifying person for HOH filing status”

* See CDCC qualifying person: Profile 1.1 who is also an HOH qualifying person

#### **Method 3 (nonresident alien rule)**

##### In Spouse:

Married

Lived together all year

Spouse is not a U.S. citizen

Spouse did not start the year with U.S. resident status and end with U.S. citizen status

Spouse was not a U.S. resident all year

Use Head of Household filing status

Spouse is filing a return

Spouse is not itemizing deductions

##### In Family and household \> person:

Add an HOH qualifying person:

* See “How to create a qualifying person for HOH filing status”

* See CDCC qualifying person: Profile 1.1 who is also an HOH qualifying person

### **How to create a taxpayer who using Head of Household filing status and "considered married"**

#### **Method 1**

##### In Spouse:

Married

Lived together all year

Spouse is U.S. citizen

Use Head of Household filing status

Spouse is filing a return

Spouse is not itemizing deductions

#### **Method 2**

##### In Spouse:

Married

Didn't live together all year

Lived together for more than half the year

Spouse is U.S. citizen

Use Head of Household filing status

Spouse is filing a return

Spouse is not itemizing deductions

#### **Method 3**

##### In Spouse:

Married

Didn't live together all year

Lived together for half the year or less

Didn't live apart for the last 6 months of 2024

Spouse is U.S. citizen

Use Head of Household filing status

Spouse is filing a return

Spouse is not itemizing deductions

## **Income-related recipes**

### **How to fill out Income sources to be in scope**

#### **Scenario**

Yes, all of my income sources are supported by Direct File

No financial interest in an account located in a foreign country

No, didn't own a foreign trust

No, didn't have foreign trust transactions

No, didn't receive digital assets

No, didn't sell digital assets

### **How to add jobs income (Form W-2)**

#### **Scenario 1: Lower income**

Box a: Confirm SSN

Box e: Confirm name

Box f: Same address

Box b, EIN: 00-2222222

Employer name: Stark Industries

Employer Address: 123 Main Street

Employer city, state and zip same as TP place of residence as entered in About You

**Box 1, Wages, tips, other compensation: $16,000**

Box 2: $300

Box 3: $16,000

Box 4: $992

Box 5: $16,000

Box 6: $232

Boxes 7-11: blank

Box 12: no codes or amounts

Box 13: nothing checked

Box 14: no codes or amounts

Boxes 15-20: blank

Standard Form W-2

#### **Scenario 2: Higher income**

Box a: Confirm SSN

Box e: Confirm name

Box f: Same address

Box b, EIN: 00-2222222

Employer name: Stark Industries

Employer Address: 123 Main Street

Employer city, state and zip same as TP place of residence as entered in About You

**Box 1, Wages, tips, other compensation: $120,000**

Box 2: $10,000

Box 3: $120,000

Box 4: $7,440

Box 5: $120,000

Box 6: $1,740

Boxes 7-11: blank

Box 12: no codes or amounts

Box 13: nothing checked

Box 14: no codes or amounts

Boxes 15-20: blank

Standard Form W-2

#### **For modifications to taxable amount**

**Box 1** \= taxable amount for Form(s) W-2

You can update **box 1** amount as needed to adjust overall income on a federal tax return.

***Note:*** *Boxes 2–6 don't need to be adjusted along with box 1\. But if you're looking to make a realistic W-2 scenario, here's how they generally relate to box 1:*

* *Boxes 3 and 5 will generally be equal to box 1, plus any amounts in box 12, although box 3 can’t exceed $168,600.*  
* *Box 4 equals box 3 times 6.2%.*  
* *Box 6 equals box 5 times 1.45%.*  
* *Box 2 depends on withholding. You can just pick something.*

### **How to add interest income (Form 1099-INT)**

#### **Scenario 1: No schedule needed**

Yes, received 1099-INT

Payer name: Gringotts

FATCA filing requirement **not** checked

**Box 1 \- Interest income: $200**

Box 2–17: blank

#### **Scenario 2: Schedule B get attached**

Yes, received 1099-INT

Payer name: Gringotts

FATCA filing requirement **not** checked

**Box 1 \- Interest income: more than $1500**

Box 2–17: blank

*This will attach Schedule B to the federal tax return.*

#### **For modifications to taxable amount**

**Box 1** \+ **Box 3** \= taxable amount for Form(s) 1099-INT

You can update **box 1** and **box 3** amounts as needed to adjust overall income on a federal tax return.

### **How to add unemployment compensation (Form 1099-G)**

#### **Scenario 1**

Yes, received Form 1099-G

Payer name: New Jersey Department of Labor

**Box 1, unemployment compensation: $10,000**

No repayments

Box 4: blank

Boxes 10a, 10b, 11: blank

#### **For modifications to taxable amount**

**Box 1** \= taxable amount for unemployment compensation

You can update **box 1** amount as needed to adjust overall income on a federal tax return.

## **How to add Health Savings Accounts contributions and distributions (Form 1099-SA)**

**First, some context...**

A TP can make HSA contributions and/or take HSA distributions in the same year. So it's common to:

* Have values just for contributions  
* Have values just for distributions  
* Have values for contributions and distributions

**Contributions:** There's 2 different types of HSA contributions:

* **Most common:** Employer contributions, which are marked on Form W-2, box 12, code W. They're reported in the Jobs subsection and have already been excluded from taxable income by your employer.  
* **Less common:** Contributions not through an employer. You'll need to manually report these in the HSA subsection. And then they'll be deducted from your taxable income through the HSA deduction.

You can have 1 or both types of contributions, as long as the total doesn't go over the contribution limit.

**Contribution limit:** For 2024, when your coverage is the same all year:

* If have Self-only coverage, max contribution amount is $4,150.  
* If have Family coverage, max contribution amount is $8,300. (That's the total for both spouses, if you both have HSAs).

If 55+, contribution limit is increased by $1,000 per spouse-who-has-an-HSA.

**Distributions:** HSA distributions for the year are reported on Form 1099-SA.

#### **Scenario 1: 1 TP has HSA employer contributions**

##### Income \> Jobs

* Add a Form W-2 and include **box 12, code W, $4,000**

##### Income \> HSAs

* \[Should note you've already reported $4,000 from your Form W-2\]  
* **If MFJ:** No, spouse didn't have any HSAs in \<TY\> or \<TY-1\>  
* No, didn't have medical savings accounts  
* No, didn't have excess contributions left in an HSA from a previous year  
* No, didn't withdraw excess contributions for \<TY\> before \<TaxDay\>  
* No, I'm not enrolled in Medicare  
* Yes, I had HDHP coverage for the whole year  
* Self-only coverage  
* No, I didn't have other health coverage that would make you not eligible to contribute to an HSA  
* **Conditional depending on marital and filing status:**  
  * No, spouse didn't have HSA with contributions  
  * No change in marital status  
* Total amount of HSA contributions in \<TY\> for \<TY\> not reported on Form W-2: **blank**  
* Total amount of HSA contributions in \<TY+1\> for \<TY\> not reported on Form W-2: **blank**  
* No, I didn't have qualified HSA funding distributions  
* On collection hub: I don't have any Forms 1099-SA to add

#### **Scenario 2: 1 TP has HSA contributions not through an employer**

##### Income \> Jobs

* \[Nothing needed here\]

##### Income \> HSAs

* Yes, have an HSA in \<TY\> or \<TY-1\>  
* Yes, have HSA activity to report  
* **If MFJ:** No, spouse didn't have any HSA activity to report  
* No, didn't have medical savings accounts  
* No, didn't have excess contributions left in an HSA from a previous year  
* No, didn't withdraw excess contributions for \<TY\> before \<TaxDay\>  
* No, I'm not enrolled in Medicare  
* Yes, I had HDHP coverage for the whole year  
* Self-only coverage  
* No, I didn't have other health coverage that would make you not eligible to contribute to an HSA  
* **Conditional depending on marital and filing status:**  
  * No, spouse didn't have HSA with contributions  
  * No change in marital status  
* Total amount of HSA contributions in \<TY\> for \<TY\> not reported on Form W-2: **$500**  
* Total amount of HSA contributions in \<TY+1\> for \<TY\> not reported on Form W-2: **$100**  
* No, I didn't have qualified HSA funding distributions  
* **If MFJ:** No, spouse didn't contribute to HSA in \<TY-1\>  
* On collection hub: I don't have any Forms 1099-SA to add

#### **Scenario 3: 1 TP has HSA distributions**

##### Income \> HSAs

* Yes, have an HSA in \<TY\> or \<TY-1\>  
* Yes, have HSA activity to report  
* **If MFJ:** No, spouse didn't have any HSA activity to report  
* No, didn't have medical savings accounts  
* No, didn't have excess contributions left in an HSA from a previous year  
* No, didn't withdraw excess contributions for \<TY\> before \<TaxDay\>  
* No, I didn't have HSA contributions for \<TY\>  
* No, didn't contribute to HSA in \<TY-1\>  
* On collection hub: Add Form 1099-SA  
  * HSA trustee: The Best Trustee  
  * Box 1: **$1,000**  
  * No rollovers  
  * No excess contributions withdrawn before \<TaxDay\>  
  * Box 2: blank  
  * Box 3: code 1  
  * Box 4: blank  
  * Qualified medical expenses: **$1,000**

#### **Scenario 4: 2 TPs each have HSA contributions and distributions**

##### Filing status

MFJ

##### Income \> Jobs

* Add a Form W-2 for TP1 and include **box 12, code W, $6,000**

##### Income \> HSAs

* \[Should note you've already reported $6,000 from your Form W-2\]  
* Yes, TP2 had HSAs in \<TY\> or \<TY-1\>  
* Yes, TP2 had HSA activity to report  
* No, didn't have medical savings accounts  
* No, didn't have excess contributions left in an HSA from a previous year  
* No, I didn't withdraw excess contributions for \<TY\> before \<TaxDay\>  
* For TP1  
  * No, not enrolled in Medicare  
  * Yes, had HDHP coverage for the whole year  
  * Family coverage  
  * No, didn't have other health coverage that would make you not eligible to contribute to an HSA  
  * No change in marital status  
  * Total amount of HSA contributions in \<TY\> for \<TY\> not reported on Form W-2: **blank**  
  * Total amount of HSA contributions in \<TY+1\> for \<TY\> not reported on Form W-2: **blank**  
  * No, didn't have qualified HSA funding distributions  
* For TP2  
  * Yes, had contributions to HSA in \<TY\>  
  * No, not enrolled in Medicare  
  * Yes, had HDHP coverage for the whole year  
  * Family coverage  
  * No, didn't have other health coverage that would make you not eligible to contribute to an HSA  
  * No change in marital status  
  * Total amount of HSA contributions in \<TY\> for \<TY\> not reported on Form W-2: blank  
  * Total amount of HSA contributions in \<TY+1\> for \<TY\> not reported on Form W-2: **$300**  
  * No, didn't have qualified HSA funding distributions  
* On collection hub: Add Form 1099-SA  
  * HSA trustee: The Best Trustee  
  * Box 1: **$1,000**  
  * No rollovers  
  * No excess contributions withdrawn before \<TaxDay\>  
  * Box 2: blank  
  * Box 3: code 1  
  * Box 4: blank  
  * Qualified medical expenses: **$1,000**

### **How to add Social Security benefits (Form SSA-1099)**

#### **Scenario 1**

**Box 5, Net benefits for \<TY\>: $1,000**

Box 6: blank

#### **Taxable amount is complicated**

**Box 5** \= net benefits from Social Security

**The taxable amount is lower than the net benefits.** Calculating the taxable Social Security amount depends on the total amount of net Social Security benefits, other income, and certain deductions/exclusions. And there are instances where none of your benefits are taxable.

Don't add Social Security if you're just trying to increase the overall taxable amount on a return.

### **(see CDCC section for Dependent Care Benefits)**

## 

## **Credit-related recipes**

### **Child and Dependent Care Credit (CDCC)**

#### **How to make a CDCC qualifying person**

##### 1\. How to make a CDCC qualifying person who's your dependent \<13 (qualifying child, not qualifying relative)

###### **Profile 1.1**

**In Family and household \> person**

DOB: January 15, 2022

Your biological child

Not unable to care for self

Lived with you all year

Does not have another biological or adoptive parent

Lived with you in the United States for 12 months

You paid more than half the cost of keeping up the home you lived in with them (this question does not always appear)

SSN

No work restrictions

Did not pay for more than half of own living expenses

Not married

U.S. citizen

No one else qualifies to claim them as their qualifying child

Claim them as dependent

SSN: 123-00-1234

No IP PIN

###### **Profile 1.2**

**In Family and household \> person**

DOB: December 12, 2014

Your sibling's child

Not unable to care for self

Lived with you for more than 6 months but less than a year

Not in legal custody of parents as of July 2, 2024

Lived with you in the United States for 8 months

ITIN

Did not pay more than half of their own living expenses

Not married

Not a U.S. citizen

Was a U.S. resident

No one else qualifies to claim them

Claim them as dependent

ITIN: 999-00-1234

No IP PIN

##### 2\. How to make a CDCC qualifying person who's your dependent (qualifying relative, not qualifying child)

###### **Profile 2.1:**

**In Family and household \> person**

DOB: April 15, 2015

Not related

Physically or mentally unable to care for themselves

Lived with you all year

SSN

No work restrictions

You paid more than half of their living expenses

Their gross income was less than $5,050

Not married

U.S. citizen

No one else qualifies to claim

Not required to file a tax return

Not filing a tax return

##### 3\. How to make a CDCC qualifying person who's not your dependent (aka nondependent CDCC qualifying person)

###### **Profile 3.1**

**In Family and household \> person**

DOB: August 1, 2005

Biological child

Full time student

No permanent disability

Unable to care for themselves

Lived with you all year

Lived with you in U.S. for 12 months

You paid more than half the cost of keeping up the home

SSN

No work restrictions

Did not pay for more than half of own living expenses

Married

Filing a joint return

At least one of them is required to file

U.S. citizen

No one else qualifies to claim them

###### **Profile 3.2**

**In Family and household \> person**

DOB: July 4, 2000

Not related

Has a permanent disability

Physically or mentally unable to care for themselves

Lived with you all year

SSN

You paid more than half of their living expenses

Their gross income was $5,050 or more

Not married

U.S. citizen

No one else qualifies to claim

Not required to file a tax return

Not filing a tax return

###### **Profile 3.3**

**Pre-Family and household**

Add a taxpayer who is a dependent taxpayer (non-MFJ)

How to create a dependent taxpayer (non MFJ)

**In Family and household \> person**

DOB: October 8, 2020

Your biological child

Physically or mentally unable to care for themselves

Lived with you all year

Does not have another biological or adoptive parent

Lived with you all year in the U.S.

You paid more than half the cost of keeping up the home

SSN

No work restrictions

Did not pay for more than half of own living expenses

Not married

U.S. citizen

No one else qualifies to claim them

###### **Profile 3.4**

**Pre-Family and household**

Add a taxpayer who is a dependent taxpayer (non-MFJ)

How to create a dependent taxpayer (non MFJ)

**In Family and household \> person**

DOB: April 15, 2010

Not related

Physically or mentally unable to care for themselves

Lived with you all year

SSN

You paid more than half of their living expenses

Their gross income was $5,050 or more

Married

Filing a joint return

Required to file

U.S. citizen

No one else qualifies to claim

Not required to file a tax return

Not filing a tax return

###### **Profile 3.5**

**In Family and household \> person**

DOB: January 1, 2015

Not related

Unable to care for themselves

Lived with you all year

SSN

Taxpayer paid more than half of their living expenses

Gross income **was** $5,050 or more

Not married

U.S. citizen

##### 4\. How to make the taxpayer a CDCC qualifying person

###### **Profile 4.1**

**In About you:**

Taxpayer is physically or mentally unable to care for themselves

**In Spouse:**

Married

Lived together all year

Use Married Filing Jointly filing status

##### 5\. How to make the spouse a CDCC qualifying person

###### **Profile 5.1**

**In Spouse:**

Married

Lived together all year

Use Married Filing Jointly filing status

Spouse is physically or mentally unable to care for themselves

##### 6\. How to make a CDCC qualifying person who's your dependent (any kind) and unable to care for themselves

###### **Profile 6.1**

**In Family and household \> person**

DOB: June 15, 2004

Your sibling

Full-time student

No permanent disability

Physically or mentally unable to care for themselves

Lived with you all year

Lived with you all year in the U.S.

You paid more than half the cost of keeping up the home

SSN

No work restrictions

Did not pay for more than half of own living expenses

Married

Filing a joint return

Neither of them are required to file

Only filing to claim a refund of taxes paid

U.S. citizen

No one else qualifies to claim them

#### **How to create a taxpayer who is Married Filing Separately but "considered unmarried" for the dependent care benefits exclusion and CDCC**

##### Method 1

###### **In Spouse:**

Married

Didn't live together all year

Lived together for half the year or less

Lived apart for the last 6 months of the year

Spouse is U.S. citizen

Use Married Filing Separately filing status

Spouse is filing a return

Spouse is not itemizing deductions

###### **In Family and household:**

Add a CDCC qualifying person (See “How to make a CDCC qualifying person”)

Your lived with your CDCC qualifying person for more than half the year

You paid more than half the cost of keeping up your home for the year

##### Method 2

###### **In Spouse:**

Married

Didn't live together all year

Didn't live together at all in 2024

Spouse is U.S. citizen

Use Married Filing Separately filing status

Spouse is filing a return

Spouse is not itemizing deductions

###### **In Family and household:**

Add a CDCC qualifying person How to make a CDCC qualifying person

Your lived with your CDCC qualifying person for more than half the year

You paid more than half the cost of keeping up your home for the year

#### **How to create a taxpayer who is Married Filing Separately and "considered married" for the dependent care benefits exclusion and CDCC**

##### Method 1

###### **In Spouse:**

Married

Lived together all year

Spouse is U.S. citizen

Use Married Filing Separately filing status

Spouse is filing a return

Spouse is not itemizing deductions

##### Method 2

###### **In Spouse:**

Married

Didn't live together all year

Lived together for more than half the year

Spouse is U.S. citizen

Use Married Filing Separately filing status

Spouse is filing a return

Spouse is not itemizing deductions

##### Method 3

###### **In Spouse:**

Married

Didn't live together all year

Lived together for half the year or less

Didn't live apart for the last 6 months of 2024

Spouse is U.S. citizen

Use Married Filing Separately filing status

Spouse is filing a return

Spouse is not itemizing deductions

### **Credit for the Elderly or Disabled (EDC) Specific Recipes**

#### **How to make Single person who can qualify for Elderly or Disabled paths of the credit**

##### Profile 1.1 — Elderly path

*In order to see EDC screens for the Elderly path, you will need:*

* *Age: 65+*  
* *Filing status: Single*  
* *AGI: greater than $16,550 and less than $17,500*  
  * *$16,550 is the standard deduction for Single filers who are 65+*

###### **In You and your family**

##### **About you**

DOB: \[pick date *before* 01/02/1960\]

##### **Spouse**

Marital status: Never married (single)

##### **Filing status**

Single

###### **Income**

Need taxable income greater than $16,550 and less than $17,500:

$16,550 \< **x** \< $17,500

*Note: don't add Social Security benefits. Nontaxable SS will change the calculation.*

###### **Deductions**

No deductions. This will give you an AGI greater than $16,550 and less than $17,500. Which you need for this credit.

*Now you should see the EDC flow in credits.*

###### **Credits \> Credit for the Elderly or the Disabled**

No, didn't receive any other nontaxable pension, annuity, or disability payments

##### Profile 2.1 — Disabled path

*In order to see EDC screens for the Disabled path, you will need:*

* *Age: less than 65*  
* *Filing status: Single*  
* *AGI: greater than $14,600 and less than $17,500*  
  * *$14,600 is the standard deduction for Single filers*

###### **In You and your family**

##### **About you**

DOB: \[pick date *after* 01/01/1960\]

##### **Spouse**

Marital status: Never married (single)

##### **Filing status**

Single

###### **Income**

Need taxable income greater than $14,600 and less than $17,500:

$14,600 \< **x** \< $17,500

At least some of this needs to be from Form(s) W-2. Check out these recipes for adding income:

* How to add jobs income (Form W-2)  
* How to add interest income (Form 1099-INT)

*Note: don't add Social Security benefits. Nontaxable SS will change the calculation.*

###### **Deductions**

No deductions. This will give you an AGI greater than $14,600 and less than $17,500. Which you need for this credit.

*Now you should see the EDC flow in credits.*

###### **Credits \> Credit for the Elderly or the Disabled**

Yes, retired on permanent and total disability

Yes, employer has mandatory retirement age

No, haven't reached mandatory retirement age

Yes, taxable payments from Form W-2 were disability income

Enter amount that is:

* greater than $5,000  
* less than or equal to the W-2 amount you entered in Income

No, didn't receive any other nontaxable pension, annuity, or disability payments

*Now you'll see a screen saying you qualify for the Credit for the Elderly or the Disabled.* 

*Next are 2–3 Yes/No questions about doctor's statements. Any answers are fine.*

### **PTC**

#### **How to qualify for PTC (or not)**

##### Overview of filing status

###### **May qualify for PTC**

* Single  
* Married Filing Jointly (MFJ)  
* Married Filing Separately (MFS), but only if you meet an exception  
* Head of Household (HoH), unless you meet the specific conditions (listed in the right column)

###### **Will not qualify for PTC**

* Married Filing Jointly Dependents (MFJ Dependents)  
* Dependents (non-MFJ)  
* Married Filing Separately (MFS), assuming you don't meet the exception  
* Head of Household \+ spouse is a nonresident \+ you did not live apart of for the last 6 months of the tax year

##### Basic steps to qualify

* Use a filing status that may qualify for PTC  
* You and/or individuals listed on your federal tax return were enrolled in a qualified Marketplace health plan  
* Don't get knocked out. For example:  
  * If you have dependents, they should not required to file a federal tax return for this year  
  * Only have one Form 1095-A  
* If MFS:  
  * **Yes,** you meet both requirements for MFS taxpayers  
  * **No,** this will not be the fourth year in a row that you're claiming the Premium Tax Credit and using a MFS filing status because of domestic abuse or spousal abandonment  
* If your household income was below %100 of the federal poverty line: **Yes,** there was someone on the qualified health plan who was not eligible for Medicaid because of their immigration status  
* **Yes,** at least one person enrolled in the qualified health plan met all the requirements for at least one month in the tax year

#### **How to have excess advance payments of PTC**

##### Method 1

###### **In Credits \> Premium Tax Credit | Don’t qualify for PTC but have advance payments of PTC (APTC):**

There are many ways to not qualify PTC. For a thrilling, choose-your-own adventure experience, see the How to qualify for PTC (or not) recipe. The steps below will ensure you don't qualify and focus on achieving the Excess APTC outcome.

* Enrolled in a qualified Marketplace health plan  
* (If you have dependents) No, none of them are required to file  
* No, you don't have more than one Form 1095-A  
* No, there isn't someone other than you and/or those listed on your tax return on your Form 1095-A  
* No, you or your fam is not listed on someone else's Form 1095-A  
* (If asked) No, nobody listed on Form 1095-A had an immigration status that wasn't eligible for Marketplace coverage  
* Yes, advance payments of the Premium Tax Credits were made  
* **No,** nobody was also eligible for or enrolled in employer-sponsored health coverage while enrolled in the qualified Marketplace health plan  
* Policy number: 123456789  
* Any Marketplace state  
* Policy dates: 1 or more months  
* No, at least one person didn't see all the requirements for at least one month  
* Enter the annual total for monthly advance payment of premium tax credit from column C, line 33\. **Answer:** Enter any amount. This amount will be considered excess because you didn’t qualify for the PTC.

##### Method 2

###### **In Credits \> Premium Tax Credit | Qualify for PTC and enter more APTC than your allowed PTC:**  

There are many ways to qualify for PTC. For a thrilling, choose-your-own adventure experience, see the How to qualify for PTC (or not) recipe. The steps below will ensure you qualify and focus on achieving the Excess APTC outcome.

* Enrolled in a qualified Marketplace health plan  
* (If you have dependents) No, none of them are required to file  
* No, you don't have more than one Form 1095-A  
* No, there isn't someone other than you and/or those listed on your tax return on your Form 1095-A  
* No, you or your fam is not listed on someone else's Form 1095-A  
* (If asked) No, nobody listed on Form 1095-A had an immigration status that wasn't eligible for Marketplace coverage  
* Yes, advance payments of the Premium Tax Credits were made  
* No, nobody was also eligible for or enrolled in employer-sponsored health coverage while enrolled in the qualified Marketplace health plan  
* Policy number: 123456789  
* Any Marketplace state  
* Policy dates: 1 or more months  
* **Yes**, at least one person didn't see all the requirements for at least one month  
* Enter the enrollment premiums\*  
* Enter the Second Lowest Cost Silver Plan (SLCSP) premium amount\*  
* Enter the APTC amount.\*   
  * **The easy way:**   
    * Enter an APTC amount that is greater than the enrollment premium or SLCSP amount you entered, whichever of those is greater.   
  * **The slightly harder, more realistic way —** The APTC amount should be greater than the taxpayer’s allowed PTC, which is not displayed on the front-end but is based on their household income and family size, and the enrollment and SLCSP premium amounts you entered. How to ensure you end up with Excess APTC:  
    * Have household income and a family size that puts you above 151% of the federal poverty line (in this case, household income refers to AGI minus your deductions, aka MAGI, which is displayed at the end of the deductions section) — [https://www.irs.gov/instructions/i8962\#en\_US\_2023\_publink100044414](https://www.irs.gov/instructions/i8962#en_US_2023_publink100044414) — The greater your income, the more you’re expected to contribute to your premium payments.    
    * IRL, your APTC would never be greater than your enrollment premiums. Enter an APTC value equal to or smaller than the SLCSP premium amounts you entered. 

 \*  Direct File will ask you to enter either annual or monthly amounts. The option presented is based on how you answered earlier questions. 

#### **How to end up with a repayment limitation**

##### In Credits \> Premium Tax Credit

* Have taxable income (aka MAGI) that translates to less than 400% of the federal poverty line for your household and state. For the 48 Contiguous States and the District of Columbia:  
  * $54,156 for a family size of 1   
  * $73,240 for a family size of 2  
  * $92,120 for a family size of 3  
  * See the [full breakdown for income levels at 100% of the federal poverty line](https://www.irs.gov/instructions/i8962#en_US_2023_publink100044414) for more detail (multiple by 4 to get the 400% value)  
* See “How to have excess advance PTC” (either Method 1 or 2 will work)   
  * Your Excess APTC should be greater than the applicable repayment limitation for your [household income as a percentage of federal poverty line](https://www.irs.gov/instructions/i8962#en_US_2023_publink100010959%C2%A0)  
* You’ll only see the Excess APTC amount, and whether a repayment limitation applies, on the outcome screens 

### **Savers**

#### **Savers: How to make a Saver’s Credit qualifying person who is HOH**

##### Saver's Credit

The Saver's Credit, also known as the Retirement Savings Contributions Credit, is a tax benefit for low- to moderate-income taxpayers that offsets a portion of workers' voluntary contributions to their Individual Retirement Arrangements (IRAs), 401(k) plans and similar workplace retirement programs.

###### **Profile 1.1**

##### **In About you**

* TP birthdate is before 1/1/2007  
* TP is not a full time student  
* TP is not claimed as a dependent

##### **In Family and household**

Filing Status is HOH

##### **In Income**

* AGI is less than or equal to $57,375  
* Box 12: Select a code: D, E, H, S, AA, BB, or EE then enter $300

#### **Savers: How to make a Saver’s Credit qualifying person who is Single or MFS**

##### Saver's Credit

The Saver's Credit, also known as the Retirement Savings Contributions Credit, is a tax benefit for low- to moderate-income taxpayers that offsets a portion of workers' voluntary contributions to their Individual Retirement Arrangements (IRAs), 401(k) plans and similar workplace retirement programs.

###### **Profile 1.2**

**In About you**

* TP birthdate is before 1/1/2007

* TP is not a full time student

* TP is not claimed as a dependent

**In Family and household**

Filing Status is Single or MFS

**In Income**

* AGI is less than or equal to $38,250

* Box 12: Select a code: D, E, F, G, H, S, AA, BB, or EE then enter $300

#### **Savers: How to make a Saver’s Credit qualifying person who is MFJ**

##### Saver's Credit

The Saver's Credit, also known as the Retirement Savings Contributions Credit, is a tax benefit for low- to moderate-income taxpayers that offsets a portion of workers' voluntary contributions to their Individual Retirement Arrangements (IRAs), 401(k) plans and similar workplace retirement programs.

*For MFJ, the Saver's Credit Form 8880 is a joint return.*

###### **Profile 1.3**

**In About you**

* TP birthdate is before 1/1/2007  
* TP is not a full time student  
* TP is not claimed as a dependent

**In Spouse**

* TP2 birthdate is before 1/1/2007  
* TP2 is not a full time student  
* TP2 is not claimed as a dependent

**In Family and household**

Filing Status is MFJ

**In Income**

* AGI is less than or equal to $76,500  
* Box 12: Select a code: D, E, H, S, AA, BB, or EE then enter $300 for either taxpayer

### **CTC**

#### **How to qualify for the Child Tax Credit (CTC) / Additional Child Tax Credit (ACTC)**

# 

##### Method 1

###### **In Family and household \> add person**

Add a qualifying child dependent who meets requirements as a CTC qualifying child (Profile 1.2)

###### **In Jobs**

Add a W-2 and use an income amount in **box 1** that's at least a few hundred dollars more than the [standard deduction amount for the filing status you use](https://apps.irs.gov/app/vita/content/00/00_13_005.jsp)

Note: DF's data import may offer to add a form W-2 for you automatically. If your aim is to qualify for CTC, you may need to update the amount of income that imported W-2 has in box 1, because:

* If you go over the annual income limit for CTC, $200,000 ($400,000 if filing a joint return), you won't qualify for the credit.  
* If you want to make sure you get an amount for CTC, make sure your AGI turns out to be more than your standard deduction.

###### **In the remaining income sections**

Note: the annual income limit for CTC is $200,000 ($400,000 if filing a joint return), adding too much income can disqualify you from CTC.

###### **In Deductions**

Note: the HSA, educator expense, or student loan interest deductions will reduce your AGI. If you want to make sure you get an amount for CTC, make sure your AGI turns out to be more than your standard deduction.

###### **In Credits**

IRS hasn't denied or reduced the amount of your credits for CTC, ACTC or the Credit for Other Dependents

### **ODC**

#### **ODC: How to qualify a child or dependent who is NOT a "qualifying child" for purposes of the Child Tax Credit.**

##### Credit for Other Dependents

Taxpayers with dependents who don't qualify for the Child Tax Credit may be able to claim the Credit for Other Dependents.

A taxpayer can claim this credit if:

* They claim the person as a [dependent](https://www.irs.gov/help/ita/whom-may-i-claim-as-a-dependent) on the taxpayer's return.  
* They cannot use the dependent to claim the child tax credit or additional child tax credit.  
* The dependent is a U.S. citizen, national or resident alien.

###### **In Family and household**

* Have a dependent (that does not qualify for CTC)  
  * Example: Not under age 17 at the end of the year  
  * Example: Has ITIN (not SSN)

###### **In Income**

* AGI does not exceed $200,000, $400,000 if MFJ

###### **In Credits**

* Can NOT claim Child Tax Credit (CTC) or additional child tax credit

### **EITC**

#### **How to make a TP who qualifies for EITC**

##### Without a qualifying child

###### **In About you**

* Taxpayer's age is at least 25 but under 65  
* US Citizen  
* SSN  
* No work restriction on SSN  
  * Note: this question will show up if you made them a 'citizen by the end of the year' or a 'resident all year' but won't be asked you made them a citizen all year  
* Can't be claimed as a dependent by another taxpayer

###### **In Spouse**

* Married  
* Lived together all year  
* US Citizen  
* Choose Married Filing Jointly (do not use MFS)  
* Taxpayer's age is at least 25 but under 65  
* SSN  
* No work restriction on SSN  
  * Note: this question will show up if you made them a 'citizen by the end of the year' or a 'resident all year' but won't be asked you made them a citizen all year  
* Can't be claimed as a dependent by another taxpayer

###### **Filing Status**

* Married Filing Jointly

Note: you can do the EITC-without-a-qualifying-child scenario **ONLY** with filing statuses: **Single, QSS, or MFJ**

###### **In Family and HH**

* Skip/don't add a an EITC qualifying child

##### Income

###### **In Jobs**

* W-2 box 1: $18,000

Note: this credit requires **earned** **income**, but has an [income limit tied to filing status](https://www.irs.gov/credits-deductions/individuals/earned-income-tax-credit/earned-income-and-earned-income-tax-credit-eitc-tables#eitctables) and an investment income limit, too. Keeping AGI to $18000 will work for Single, QSS, or MFJ, and low interest income $0-$1,550.

###### **In Interest income**

* Skip/or keep within EITC investment income limit

Note: this credit requires **earned** **income**, but has an [income limit tied to filing status](https://www.irs.gov/credits-deductions/individuals/earned-income-tax-credit/earned-income-and-earned-income-tax-credit-eitc-tables#eitctables) and an investment income limit, too. Keeping AGI to $18000 will work for Single, QSS, or MFJ, and low interest income $0-$1,550.

##### Credits \> EITC

* You (and your spouse, if you have one) **could not** be someone else's qualifying child for EITC  
* IRS has not denied or reduced the amount of your (or spouse's, if you have one) EITC

##### With a qualifying child who is also the TP's dependent

###### **In About you**

* Taxpayer's age is at least 25 but under 65  
* US Citizen  
* SSN  
* No work restriction on SSN  
  * Note: this question will show up if you made them a 'citizen by the end of the year' or a 'resident all year' but won't be asked you made them a citizen all year  
* Can't be claimed as a dependent by another taxpayer

###### **In Spouse**

* Married  
* Lived together all year  
* US Citizen  
* Choose Married Filing Jointly (do not use MFS)  
* Taxpayer's age is at least 25 but under 65  
* SSN  
* No work restriction on SSN  
  * Note: this question will show up if you made them a 'citizen by the end of the year' or a 'resident all year' but won't be asked you made them a citizen all year  
* Can't be claimed as a dependent by another taxpayer

##### Filing Status

* Married Filing Jointly

Note: while you can do the EITC-with-qualifying-children scenario with different filing statuses, there are specific additional rules [for MFS](https://www.irs.gov/publications/p596#en_US_2023_publink1000297448) and HOH to be considered unmarried.

##### In Family and HH \> add person

* DOB: 1/1/2020  
* Relationship: biological child  
* Not unable to care for self  
* They lived with you all year  
* No other parents  
* They lived with me in the US 12 months  
* SSN  
* The card doesn’t list a work restriction  
* They didn't pay more than half their own expenses  
* They were not married  
* US Citizen  
* No one else can claim them  
* Yes, claim them as a dependent  
* 111-11-1111  
* No IP PIN

##### Income

###### **In Jobs**

* W-2 box 1: $18,000

Note: this credit requires **earned** **income**, but has an [income limit tied to filing status](https://www.irs.gov/credits-deductions/individuals/earned-income-tax-credit/earned-income-and-earned-income-tax-credit-eitc-tables#eitctables) and an investment income limit, too. Keeping AGI to $18000 will work for Single, QSS, or MFJ, and low interest income $0-$1,550.

###### **In Interest income**

* Skip/or keep within EITC investment income limit

Note: this credit requires **earned** **income**, but has an [income limit tied to filing status](https://www.irs.gov/credits-deductions/individuals/earned-income-tax-credit/earned-income-and-earned-income-tax-credit-eitc-tables#eitctables) and an investment income limit, too. Keeping AGI to $18000 will work for Single, QSS, or MFJ, and low interest income $0-$1,550.

##### Credits \> EITC

* You (and your spouse, if you have one) **could not** be someone else's qualifying child for EITC  
* IRS has not denied or reduced the amount of your (or spouse's, if you have one) EITC

##### With a qualifying child who is a nondependent

###### **In About you**

* Taxpayer's age is at least 25 but under 65  
* US Citizen  
* SSN  
* No work restriction on SSN  
  * Note: this question will show up if you made them a 'citizen by the end of the year' or a 'resident all year' but won't be asked you made them a citizen all year  
* Can't be claimed as a dependent by another taxpayer

###### **In Spouse**

* Married  
* Lived together all year  
* US Citizen  
* Choose Married Filing Jointly (do not use MFS)  
* Taxpayer's age is at least 25 but under 65  
* SSN  
* No work restriction on SSN  
  * Note: this question will show up if you made them a 'citizen by the end of the year' or a 'resident all year' but won't be asked you made them a citizen all year  
* Can't be claimed as a dependent by another taxpayer

###### **Filing Status**

* Married Filing Jointly

Note: while you can do the EITC-with-qualifying-children scenario with different filing statuses, there are specific additional rules [for MFS](https://www.irs.gov/publications/p596#en_US_2023_publink1000297448) and HOH to be considered unmarried.

##### In Family and HH \> add person

* DOB: 1/1/2020  
* Relationship: biological child  
* Not unable to care for self  
* They lived with you all year  
* No other parents  
* They lived with me in the US 12 months  
* SSN  
* The card doesn’t list a work restriction  
* Yes, they paid more than half their own living expenses  
* They were not married  
* US Citizen

Note: DF will ask you for this person's SSN and IP PIN at this point in the flow only if you've already gone through the Credits section, were determined to qualify for EITC and then went back to add another EITC qualifying child in Family and HH. Usually, it will just prompt you for this info in the Credits section.

##### Income

###### **In Jobs**

* W-2 box 1: $18,000

Note: this credit requires **earned** **income**, but has an [income limit tied to filing status](https://www.irs.gov/credits-deductions/individuals/earned-income-tax-credit/earned-income-and-earned-income-tax-credit-eitc-tables#eitctables) and an investment income limit, too. Keeping AGI to $18000 will work for Single, QSS, or MFJ, and low interest income $0-$1,550.

###### **In Interest income**

* Skip/or keep within EITC investment income limit

Note: this credit requires **earned** **income**, but has an [income limit tied to filing status](https://www.irs.gov/credits-deductions/individuals/earned-income-tax-credit/earned-income-and-earned-income-tax-credit-eitc-tables#eitctables) and an investment income limit, too. Keeping AGI to $18000 will work for Single, QSS, or MFJ, and low interest income $0-$1,550.

##### Credits \> EITC

* You (and your spouse, if you have one) **could not** be someone else's qualifying child for EITC  
* IRS has not denied or reduced the amount of your (or spouse's, if you have one) EITC  
* There’s no one else who could claim your qualifying child for EITC  
* 111-11-1111
